@extends('admin.admin_layout')

@section('photo')
    active
@endsection


@section('content')
    <div class="section-header">
        <h1>{{ A_VIEW_PHOTOS }}</h1>
        <div class="ml-auto">
            <a href="{{ route('admin.photo_add') }}" class="btn btn-primary">{{ A_ADD_NEW }}</a>
        </div>
    </div>

    <div class="section-body">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>{{ A_SERIAL }}</th>
                                        <th>{{ A_CAPTION }}</th>
                                        <th>{{ A_PHOTO }}</th>
                                        <th>{{ A_STATUS }}</th>
                                        <th class="w_200">{{ A_ACTION }}</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($photos as $key => $item)
                                        <tr>
                                            <td class="w_50">{{ $key+1 }}</td>
                                            <td>{{ $item->caption }}</td>
                                            <td><img class="img_200" src="{{ asset('uploads/'.$item->photo) }}"></td>
                                            <td>{{ $item->status }}</td>
                                            <td>
                                                <a href="{{ url('admin/photo/edit/'.$item->id) }}" class="btn btn-primary btn-xs">{{ A_EDIT }}</a>
                                                <a href="{{ url('admin/photo/delete/'.$item->id) }}" class="btn btn-danger btn-xs" onClick="return confirm('{{ A_ARE_YOU_SURE }}');">{{ A_DELETE }}</a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
